#ifndef _AWC_GP3LIB_H
#define _AWC_GP3LIB_H

/* Platform-specific functions */
int gp3openport(char *port);  // returns -1 for error
void gp3closeport();
int gp3write(int byte);   // returns 1 for success
unsigned int gp3read(void);  // returns character or -1 for error
int gp3ready(void);  // optional returns 0 for not ready, 1 for ready

/* Common functions */
unsigned int gp3readword(void);
void gp3setLED(int onoff);
unsigned int gp3a2d(int chan);
void gp3high(int pin);
void gp3low(int pin);
void gp3toggle(int pin);
int gp3input(int pin);
void gp3settris(int tris);
unsigned int gp3gettris(void);
void gp3setpins(int byte);
unsigned int gp3getpins(void);
void gp3writeee(int address, int byte);
unsigned int gp3readee(int address);
void gp3pwm(int chan,int dc, int dfreq);
unsigned int gp3count(int pin,unsigned int ms);
unsigned int gp3rctime(int pin, int state);
unsigned int gp3pulsein(int pin, int state);
void gp3pulseout(int pin, int duration);
void gp3freq(int pin, int ms, int freq);
void gp3setcounter(int prescale, int ext);
unsigned int gp3counter(void);
void gp3resetall(void);
void gp3reset(void);
void gp3repeat(int count);
void gp3argincr(void);
void gp3argdecr(void);
unsigned int gp3check(void);

#endif


